package com.chenyang.nse.bussiness.entity.vo.dataproject;

import com.chenyang.nse.bussiness.entity.orm.table.core.TCoreDatasourceSchema;
import com.chenyang.nse.bussiness.entity.orm.table.core.dataproject.TCoreDataProjectReqVO;
import com.chenyang.nse.bussiness.entity.orm.table.core.dataproject.TCoreProjectDatasource;
import com.chenyang.nse.bussiness.entity.orm.table.core.dataproject.TCoreProjectFindrule;
import java.util.List;

public class TCoreDataProjectVO extends TCoreDataProjectReqVO {
   private List<TCoreProjectDatasource> dataSourceIdList;
   private List<TCoreProjectFindrule> areaAndRuleList;
   private List<TCoreDatasourceSchema> schemalist;

   public List<TCoreProjectDatasource> getDataSourceIdList() {
      return this.dataSourceIdList;
   }

   public void setDataSourceIdList(List<TCoreProjectDatasource> dataSourceIdList) {
      this.dataSourceIdList = dataSourceIdList;
   }

   public List<TCoreProjectFindrule> getAreaAndRuleList() {
      return this.areaAndRuleList;
   }

   public void setAreaAndRuleList(List<TCoreProjectFindrule> areaAndRuleList) {
      this.areaAndRuleList = areaAndRuleList;
   }

   public List<TCoreDatasourceSchema> getSchemalist() {
      return this.schemalist;
   }

   public void setSchemalist(List<TCoreDatasourceSchema> schemalist) {
      this.schemalist = schemalist;
   }
}
